# $Revision: 1.22 $, $Date: 2005/12/30 00:14:50 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# Requires configured MySQL local database

%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	TextIndex
Summary:	DBIx::TextIndex - Perl extension for full-text searching in SQL databases
Summary(pl):	DBIx::TextIndex - rozszerzenie do penotekstowego przeszukiwania baz SQL
Name:		perl-DBIx-TextIndex
Version:	0.25
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af19205380c2d845f0cb095ac93c7300
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Text::Balanced) # core perl module since 5.8
BuildRequires:	perl-Bit-Vector
BuildRequires:	perl-Exception-Class
#BuildRequires:	perl-Text-Unaccent # Not in PLD yet
%endif
Requires:	perl-DBI >= 1.48-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBIx::TextIndex was developed for doing full-text searches on BLOB
columns stored in a database. Almost any database with BLOB and DBI
support should work with minor adjustments to SQL statements in the
module.

%description -l pl
Modu DBIx::TextIndex suy do przeprowadzania penotekstowych
przeszukiwa kolumn BLOB zapisanych w bazie danych. Prawie kada baza
danych z obsug BLOB i DBI powinna dziaa po niewielkich poprawkach
wyrae SQL w module.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf eg/README
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/DBIx/TextIndex/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/%{pdir}/*.pm
%{perl_vendorarch}/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/*.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-TextIndex.spec,v $
Revision 1.22  2005/12/30 00:14:50  glen
- fix missing dirs
- check files cleanup
- rel 2

Revision 1.21  2004/11/03 22:30:16  paladine
- formatting

Revision 1.20  2004/11/01 22:12:30  adamg
- updated to 0.25

Revision 1.19  2004/10/24 14:22:57  paladine
- spelling fix

Revision 1.18  2004/08/26 06:09:03  adamg
- updated to 0.23

Revision 1.17  2004/08/08 17:56:14  adamg
- updated to 0.22

Revision 1.16  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/20 05:22:49  ankry
- license fixes and unification

Revision 1.14  2003/12/25 14:43:17  migo
- up to 0.21, new bcond style
- disabled tests by default (currently no chance of working)
- now isn't noarch
- license cosmetics

Revision 1.13  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/06/28 09:01:38  blues
- cosmetics

Revision 1.10  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:30:59  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/26 10:00:28  mis
- autoupdated to 0.11

Revision 1.3  2002/11/21 16:40:04  mis
- autoupdated to 0.10

Revision 1.2  2002/08/18 13:54:21  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:57  radek
- new, STBR
